QGIS Application - Bug report #11869
Maplinfo layer error when loaded from zipfile
2014-12-15 11:53 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:2.6.1 Regression?: No

Operating System: Debian, Win Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 20084
Description

Loading a shp form a zipfile works smoothly. On the contrary, a Maplinfo file (.tab) throws an error (Layer not valid).

History

#1 - 2014-12-16 01:17 AM - Giovanni Manghi
- Status changed from Open to Feedback

is a QGIS problem or a OGR one?

here the following test fails with ogr

giovanni@sibirica:~/Desktop > ogrinfo -ro -al -so /vsizip/Worldcap.zip/WORLDCAP.TAB
FAILURE:
Unable to open datasource */vsizip/Worldcap.zip/WORLDCAP.TAB' with the following drivers.
-> ESRI Shapefile
-> Maplnfo File

where after unipping the folder the file WORLDCAP.TAB open just fine.

#2 - 2014-12-17 12:07 AM - Paolo Cavallini

- Priority changed from Normal to Low

In fact it is not supported by OGR, see:
http://trac.osgeo.org/gdal/wiki/UserDocs/ReadInZip
http://lists.osgeo.org/pipermail/gdal-dev/2011-April/028384.html

Maybe better make them gray and not draggable.

#3 - 2014-12-17 01:25 AM - Giovanni Manghi

Maybe better make them gray and not draggable.
http://trac.osgeo.org/gdal/wiki/UserDocs/ReadInZip
http://lists.osgeo.org/pipermail/gdal-dev/2011-April/028384.html

this would not solve entirely the issue as the zip layer can be dragged and dropped also from a system folder, or added using the standard "add vector

layer" dialog.

#4 - 2014-12-17 03:50 AM - Giovanni Manghi

| guess this should be closed as fixed upstream

http://lists.osgeo.org/pipermail/ggis-developer/2014-December/036070.html

#5 - 2014-12-17 07:26 AM - Paolo Cavallini
- Resolution set to up/downstream

- Status changed from Feedback to Closed
